Page MenuHomePhabricator

Related Pages should not boost pages by popularity
Closed, ResolvedPublic1 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2016, 8:51 PM
Jhernandez triaged this task as Low priority.Jul 28 2016, 5:14 PM
Jhernandez moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jhernandez added a subscriber: Jhernandez.

Needs analysis by product.

JKatzWMF added a comment.EditedJul 29 2016, 7:14 PM

@dr0ptp4kt @Jhernandez Based on positive results that have been published and referred to in all relevant wiki threads, I think this is ready to roll, provided we want to continue with the rollout related pages. I think the next step is to estimate all of the work we think is needed for related pages prior to rollout and an make a call. I created a spike here (T141648) and commented on the epic itself (T135030).

I tried to clean my inbox on my last day of vacation and ended up in phab... ;(

For the sake of our future selves: it's worth considering if the browsing vector work from @ellery could be fit in. To be clear, I think it's okay to make the API URL changes suggested by the Description of this task soon, while considering if the browsing vector work could also be A/B tested down the road on some reasonable timeframe.

CC @Tnegrin, @Fjalapeno

+ @Dbrant @JMinor @pizzzacat, for context in consideration of other sorts of related pages results improvements.

dr0ptp4kt raised the priority of this task from Low to High.Aug 19 2016, 3:59 PM
MBinder_WMF set the point value for this task to 0.5.Aug 22 2016, 4:29 PM
MBinder_WMF changed the point value for this task from 0.5 to 1.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-80-V-for-Vandalism board.

Change 307358 had a related patch set uploaded (by Bmansurov):
Use 'classic_noboostlinks' search profile

https://gerrit.wikimedia.org/r/307358

Change 307358 merged by jenkins-bot:
Use 'classic_noboostlinks' search profile

https://gerrit.wikimedia.org/r/307358

bmansurov removed bmansurov as the assignee of this task.Aug 29 2016, 7:45 PM
bmansurov added a subscriber: bmansurov.
phuedx added a subscriber: phuedx.Aug 30 2016, 9:37 AM

This LGTM. The gsrqiprofile query parameter is present for the Related Pages API call. Given the nature of the change, I don't expect this behaviour to vary between browsers – if it does, then we've got bigger problems.

phuedx closed this task as Resolved.Aug 30 2016, 9:39 AM
phuedx reopened this task as Open.
phuedx claimed this task.
phuedx reassigned this task from phuedx to ovasileva.

Over to you @ovasileva!

ovasileva closed this task as Resolved.Aug 30 2016, 5:28 PM